<ul class="formwidget-revisions">
    <?php foreach($history as $record): ?>
    <li class="formwidget-revisions__item">
        <details>
            <summary class="formwidget-revisions__item-meta">
                <?= Backend::dateTime($record->created_at, ['format' => trans($this->dateFormat)]); ?> | <span class="formwidget-revisions__item-field-label">
                    <?= $this->getFieldLabel($record->field); ?>
                </span> <?php if ($record->user_id): ?><a class="btn-link" href="<?= Backend::url('backend/users/update/' . $record->user_id); ?>"><?= Lang::get('studiobosco.helpers::lang.changed_by', ['name' => $this->getUserName($record->user_id)]); ?></a> | <a class="btn-link wn-icon-envelope" href="mailto:<?= $this->getUserEmail($record->user_id); ?>"><?= $this->getUserEmail($record->user_id); ?></a><?php else: ?><?= Lang::get('studiobosco.helpers::lang.changed'); ?><?php endif; ?>
            </summary>

            <h4 class="formwidget-revisions__item-old-value-heading">
                <?= e(Lang::get('studiobosco.helpers::lang.old_value')); ?>
            </h4>
            <div class="formwidget-revisions__item-old-value">
                <?= $this->formatFieldValue($record->old_value, $record->field); ?>
            </div>
            <h4 class="formwidget-revisions__item-new-value-heading">
                <?= e(Lang::get('studiobosco.helpers::lang.new_value')); ?>
            </h4>
            <div class="formwidget-revisions__item-new-value">
                <?= $this->formatFieldValue($record->new_value, $record->field); ?>
            </div>
            <button
                class="btn btn-secondary formwidget-revisions__item-revert"
                data-request="<?= $this->getEventHandler('onRevertChange'); ?>"
                data-request-data="revision_id: <?= $record->id; ?>"
            >
                <?= e(Lang::get('studiobosco.helpers::lang.revert_change')); ?>
            </buton>
        </details>
    </li>
    <?php endforeach; ?>
</ul>
